
package de.ivu.elect.presentation.email.menu;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.presentation.menu.MenuEntry;
import de.ivu.elect.presentation.ui.AbstractPageMenuModelBuilder;

@Named(EmailVorlagePageMenu.COMPONENT_NAME)
public class EmailVorlagePageMenu extends AbstractPageMenuModelBuilder {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "emailVorlagePageMenu";

  @Inject
  private transient EmailVorlageSearchMenuItemEntry emailVorlageSearchMenuItemEntry;

  @Inject
  private transient EmailVorlageCreateMenuItemEntry emailVorlageCreateMenuItemEntry;

  @Inject
  private transient EmailVorlageExportMenuItemEntry emailVorlageExportMenuItemEntry;

  @Inject
  private transient EmailVorlageImportMenuItemEntry emailVorlageImportMenuItemEntry;

  public EmailVorlagePageMenu() {
    super();
  }

  @Override
  protected List<MenuEntry> getMenuEntriesSorted() {
    List<MenuEntry> result = new ArrayList<>();

    result.add(emailVorlageSearchMenuItemEntry);
    result.add(emailVorlageCreateMenuItemEntry);
    result.add(emailVorlageImportMenuItemEntry);
    result.add(emailVorlageExportMenuItemEntry);

    return result;
  }
}
